Subject: window-full-height-p

From: Glenn Morris <[email-masked]>
Date: Wed, 23 Sep 2009 23:28:34 -0400

Severity: wishlist

I would like a window-full-height-p function, analogous to
window-full-width-p.

It is difficult to extract this information from frame-height and
window-height for pretty much the same reasons as are used in the
Elisp manual to justify the existence of window-full-width-p. The
value of frame-height depends on the X-toolkit in use, whether there
is a minibuffer, and whether the menu- and tool- bars are on (see
bug#4535).

For example, a quick grep reveals this code in mh-maybe-show in
mh-e/mh-show.el, which is wrong in some circumstances for the reasons
explained above:

(if (not (= (1+ (window-height)) (frame-height))) ;not horizontally split

There seem to be a few similar instances. Perhaps some of them should
be using window-safely-shrinkable-p or some other test, but there are
some times when I really want to know if a window is full-height.